Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

MariaDB Server 10.0.x < 10.0.21 DoS Vulnerability

Medium

Synopsis

The remote database server is affected by a Denial of Service (DoS) attack vector.

Description

MariaDB is a community-developed fork of the MySQL relational database. The version of MariaDB installed on the remote host is 10.0.x earlier than 10.0.21, and is therefore affected by a flaw in the 'Materialized_cursor()' function in the 'sql/sql_cursor.cc' file that is triggered during the handling of temporary tables. This may allow an authenticated attacker to cause a crash.

Solution

Upgrade to version 10.0.21 or later.